<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsString Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_xs_string.html">XsString</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#a1cf1d9b705745819d9107b2c04169d29">append</a>(char const *other)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#aaef879fea94971cc4e03304e639684bd">append</a>(wchar_t const *other)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#af4475701885001e2b07b766fa094f8a5">XsArrayImpl::append</a>(ArrayImpl const &amp;other)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ac40cf5e33e09da93153dfc641b512437">XsArrayImpl::append</a>(const XsStringType &amp;other)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a58c03e874460e4e60a312969b8b9e9a5">ArrayImpl</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#af4a8a09b76de5953510ed25a03bebf5d">assign</a>(XsSize count, T const *src)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#af53b3b864be0d56412063f76ea1c8bdb">assign</a>(XsSize count, char const *src)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#aba16d5d1dc6b9d0ca608181862de1241">at</a>(XsSize index) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a46a1c7ff7e5d4988c33d35bf08ab8308">at</a>(XsSize index)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ab87a12cd68a6dd9020ee1d7034ba8e6a">begin</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a629c6df9fbdc4a6861f326f30e05aa11">begin</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a1da88879b7ccb24bee39694f7b5e6e43">c_str</a>()</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#ad5806043acbc45932b2a2a86c8ed38c4">c_str</a>() const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a69bc072fa4aced3ba173664dfd37d71f">clear</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#ab2a0ffde73508f89f3ee366c68a5e0e4">comparePredicate</a>(ArrayImpl const &amp;other, XsArrayItemCompareFunc predicate) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a4bf37fea37d44453185cc5fd4547181d">const_iterator</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a85668c8f88625ff7f779e32cd4fbdead">const_reverse_iterator</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a70c509b600e97acaf983a7da05863fa2">contains</a>(XsString const &amp;other, bool caseSensitive=false, XsSize *offset=0) const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#ad017c772fb280d3b04fc19cdeffb576d">descriptor</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a6c824ab141207bcdb32cba093c165e76">empty</a>() const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#aaee1636bea8edc87bfb3a01a953c4cd8">end</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ab95eeb98731c4f53d4a6fc66bee34ecf">end</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#a26a963c77e0caee53bed157e5e9769dc">endsWith</a>(XsString const &amp;other, bool caseSensitive=false) const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a653590ef8475765c6056759ccfcbc40d">erase</a>(XsSize index, XsSize count=1)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a9cb818ac9d46f2bc5f5f59f99c5586f9">erase</a>(iterator it)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#aa594439a6b195a3dd4ecdd7d803e18ce">erase</a>(reverse_iterator it)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a68e6a12614ecb71fe497f2b7587205ee">find</a>(T const &amp;needle) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a6922305d3c845bf1df2f50302e0ab149">findPredicate</a>(T const &amp;needle, XsArrayItemCompareFunc predicate) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#ae518156a7bfdb993fbf9f13f018a3c5a">first</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#af45e070011367b1c9a466518a257b188">indexOf</a>(IteratorImplBase&lt; F, R, Derived &gt; const &amp;it) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a297f6d4abadf1441a0e71bba8a4ca7d5">inherited</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#af0c8dcf23f5ef1b26d63f01beff9afea">inherited</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a6790d789e5d8c0d35e07520705eb1372">insert</a>(T const &amp;item, XsSize index)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ad03ec08aec161c0dc3cbc1a19bf50536">insert</a>(T const *items, XsSize index, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a719b9c0058156a20b3ce59bd0f34c956">insert</a>(T const &amp;item, const_iterator it)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a422e2405e120e8aa9dc9605dfeedabed">insert</a>(T const &amp;item, const_reverse_iterator it)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a6999a5877bf1d12cce5fb8d87b7fe8ed">insert</a>(T const *items, const_iterator it, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ac5afd355f4ecbb39c2a2f2248ed9c101">insert</a>(T const *items, const_reverse_iterator it, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a13ee2edb10f0ebc456e8fe34e1a76475">insert</a>(char const *items, XsSize index, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#abe4afdbd3cd6894c0edfe8c5672b24a0">isEqualPredicate</a>(ArrayImpl const &amp;other, XsArrayItemCompareFunc predicate) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#ac0696024e19be054db9321569879ff1f">iterator</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ac2e636b65a4ba574669fc89b4cb85120">last</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#ab25b941e3c47120efc16c57cf411f9df">operator!=</a>(char const *str) const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a0a308959583d2d73ed8fd26be9045b5f">XsArrayImpl::operator!=</a>(ArrayImpl const &amp;other) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#ad32fdb0c5d5858d484d91bdef0526308">operator+</a>(XsString const &amp;other) const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a505404b1eb9561154be1ef41ca566088">operator&lt;</a>(const XsString &amp;str) const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#add6a3c41726b33da2d8b6da0d74cf903">operator&lt;&lt;</a>(char const *str)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a5d1e8caf9606b029ecf0bb05e8bb78f4">operator&lt;&lt;</a>(int i)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#af6f4ab8dae2c187fd9a4c63275a34762">operator&lt;&lt;</a>(XsString const &amp;s)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a0fb041bdf173932f7ac3d0a9f2a78e4b">XsArrayImpl::operator&lt;&lt;</a>(T const &amp;item)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a913725671690e80dc9eb6da765140362">operator=</a>(ArrayImpl const &amp;other)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a09ec1b650734ecd0bbdee4cce3f41d08">operator==</a>(char const *str) const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#afd1593bdbfbfc559350726efd695a742">XsArrayImpl::operator==</a>(ArrayImpl const &amp;other) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#ac6946ce48e527a7f068a8dae8e930030">operator&gt;</a>(const XsString &amp;str) const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#ad64d0e57f68074606418709b0c925005">operator[]</a>(XsSize index) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#af9f33f14d0f214af1a00e370595fc74b">operator[]</a>(XsSize index)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a7ce0120a2cc658cce39c8e1c0ae44e9c">pop_back</a>(XsSize count=1)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a8cef27a420430a5a186d88b8e300c541">pop_front</a>(XsSize count=1)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#a9b8e1e758948fb98d2cc363de54d5c2f">push_back</a>(char c)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a4e8d721e71a44733fce338195f032c63">push_back</a>(wchar_t c)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#abd38c9ed2e73d3f4bfe420919f3e12e8">XsArrayImpl::push_back</a>(T const &amp;item)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a9f3a7233c177ecd8ea1406655504193b">push_front</a>(T const &amp;item)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#aca70dff557332449d95bee2f737d0ca3">rbegin</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a333f36bf89111701b2ae6eff5b9423b7">rbegin</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a9d2343b34bce59739185d26094c2b2cf">removeDuplicates</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ab43ba95a790126f8bb5229058373c869">removeDuplicatesPredicate</a>(XsArrayItemCompareFunc predicate)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a55a27a41ad7af853689490dbd0001f81">rend</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#af1034022e354d5049c151a0c46805be8">rend</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#aae0ba5636856263447b53fdb363e5388">reserve</a>(XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a7138c383f1a9cf60637247b7a0000132">reserved</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#aa4907f8e007835c98acd07799780bddb">resize</a>(XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a48f1f61d3e3b4e9988103695f5eee0f6">reverse</a>()</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a5177d2d4e65752b214e07ae3dac1f9e9">reverse_iterator</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#ad2bde4a8eec1673d24e323dc01a68041">setSize</a>(XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a7fc40b9445b68fdc967385afe9bef31f">size</a>() const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a701102385b066f4a2100512bbf322826">size_type</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#a3c7934109881c9a475353dc015844f87">sort</a>()</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#aba16c9b8cb01ea55671523ba4bcfe363">startsWith</a>(XsString const &amp;other, bool caseSensitive=false) const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a6c4a5ef47d2c99a10fd9a39986b54b30">swap</a>(ArrayImpl &amp;other)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#add15285589fb796c5e78fea652988a9c">toStdString</a>() const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#a798f1a5810625fe928f750961021e836">toStdWString</a>() const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a12bdf731d0b34ecbe185083a26f59cd0">utf8At</a>(XsSize index) const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#a83b0d045d180934a5baa5068743f33fa">utf8Len</a>() const </td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a004dff3124fa1fac26270aad77682c48">value</a>(XsSize index) const </td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a45328c84515de8ad4112abcef9cbbd3e">value_type</a> typedef</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a0eb23626aae5e3c15af552a089e0aca5">XsArrayImpl</a>(XsSize count=0, T const *src=0)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a44f27803f472243ce97522f3e2f18f73">XsArrayImpl</a>(ArrayImpl const &amp;other)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#a07fd3571fe220a1345598395d1014b87">XsArrayImpl</a>(Iterator const &amp;beginIt, Iterator const &amp;endIt)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array_impl.html#a8dce16e9476285461111cf952ca149f5">XsArrayImpl</a>(T *ref, XsSize sz, XsDataFlags flags=XSDF_None)</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#af671ebcc365c496a486628a78aad2018">XsString</a>(XsSize sz=0, char const *src=0)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#ad29735734aa329d935608e5cd2c98588">XsString</a>(const XsStringType &amp;other)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a034f75d9b37766ce2f3be73f9bcb0a84">XsString</a>(char *ref, XsSize sz, XsDataFlags flags=XSDF_None)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#afc7870541a1e31b27e3f19fd1d3ceb9c">XsString</a>(Iterator const &amp;beginIt, Iterator const &amp;endIt)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a3611ae08223b69a157434674989f5d7b">XsString</a>(char const *src)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#ae5ddbde2946b43fb1f79ad258f9e930a">XsString</a>(wchar_t const *src)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_string.html#a7baf86986345f152e52b55bf174b2223">XsString</a>(std::string const &amp;src)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_string.html#aeb1993a50c412a7af128b081c9a9848e">XsString</a>(std::wstring const &amp;src)</td><td class="entry"><a class="el" href="struct_xs_string.html">XsString</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array_impl.html#aeb442029bd4f4b4b1d4ff9ff20809593">~XsArrayImpl</a>()</td><td class="entry"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
